### Function

# GimpUi prop_file_chooser_button_new_with_dialog

#### Declaration [src]

    GtkWidget*
    gimp_prop_file_chooser_button_new_with_dialog (
      GObject* config,
      const gchar* property_name,
      GtkWidget* dialog
    )

#### Description [src]

Creates a `GtkFileChooserButton` to edit the specified path property.

The button uses `dialog` as it’s file-picking window. Note that `dialog` must be a `GtkFileChooserDialog` (or subclass) and must not have `GTK_DIALOG_DESTROY_WITH_PARENT` set.

Note that `GtkFileChooserButton` implements the `GtkFileChooser` interface; you can use the `GtkFileChooser` API with it.

Available since: | 2.4

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of path property.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`dialog` | `GtkWidget`
| The `GtkFileChooserDialog` widget to use.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GtkFileChooserButton`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.